List all application fee refunds 

You can see a list of the refunds belonging to a specific application fee. Note that the 10 most recent refunds are always available by default on the application fee object. If you need more than those 10, you can use this API method and the limit and starting_after parameters to page through additional refunds.

Parameters

No parameters.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit refunds, starting after starting_after. Each entry in the array is a separate application fee refund object. If no more refunds are available, the resulting array will be empty. If you provide a non-existent application fee ID, this call raises an error.

GET /v1/application_fees/:id/refunds
curl -G https://api.stripe.com/v1/application_fees/fr_1MtJRpKbnvuxQXGuM6Ww0D24/refunds \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/application_fees/fr_1MtJRpKbnvuxQXGuM6Ww0D24/refunds",
"has_more": false,
"data": [
{
"id": "fr_1MtJRpKbnvuxQXGuM6Ww0D24",
"object": "fee_refund",
"amount": 100,
"balance_transaction": null,
"created": 1680651573,
"currency": "usd",
"fee": "fee_1B73DOKbnvuxQXGuhY8Aw0TN",
"metadata": {}
}
]
}